petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoSetConstraintTolerances

Sets constraint tolerance parameters used in TAO convergence tests

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetConstraintTolerances(Tao tao, PetscReal catol, PetscReal crtol)

Logically collective on Tao

### Input Parameters

| tao | - the Tao context
| catol | - absolute constraint tolerance, constraint norm must be less than catol for used for gatol convergence criteria
| crtol | - relative contraint tolerance, constraint norm must be less than crtol for used for gatol, gttol convergence criteria

### Options Database Keys

| -tao_catol <catol> | - Sets catol
| -tao_crtol <crtol> | - Sets crtol

### Notes

Use PETSC_DEFAULT to leave any tolerance unchanged.

### See Also

TaoGetTolerances(), TaoGetConstraintTolerances(), TaoSetTolerances()

### Level

intermediate

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages